Skip to main content

OAuthClientPathParameters

@quik/oauth-server


@quik/oauth-server / OAuthClientPathParameters

Class: OAuthClientPathParameters

Defined in: oauth-server/src/entities/OAuthClientPathParameters.ts:8

Path parameters used by OAuth client management endpoints.

Extends

  • QPathParameters

Constructors

Constructor

new OAuthClientPathParameters(): OAuthClientPathParameters

Returns

OAuthClientPathParameters

Inherited from

QPathParameters.constructor

Properties

_cachedDefaults?

protected optional _cachedDefaults?: Record<string, any>

Defined in: entity/src/QEntity.ts:45

Default values for entity fields based on field definitions.

Inherited from

QPathParameters._cachedDefaults


_definition

protected _definition: QEntityDefinition

Defined in: entity/src/QEntity.ts:95

Definition of entity fields and their metadata.

Inherited from

QPathParameters._definition


_entityName

protected _entityName: string

Defined in: entity/src/QEntity.ts:83

Name of the entity type.

Inherited from

QPathParameters._entityName


_hooks

protected _hooks: QEntityHook

Defined in: entity/src/QEntity.ts:133

Collection of registered lifecycle hooks for this entity.

Inherited from

QPathParameters._hooks


_initialFill

protected _initialFill: boolean = false

Defined in: entity/src/QEntity.ts:33

Flag indicating if entity is being initially filled.

Inherited from

QPathParameters._initialFill


_isFillMethodActive

protected _isFillMethodActive: boolean = false

Defined in: entity/src/QEntity.ts:121

Flag indicating if the fill method is currently executing.

Inherited from

QPathParameters._isFillMethodActive


_modifiedFields

protected _modifiedFields: string[]

Defined in: entity/src/QEntity.ts:41

List of field names that have been modified since creation.

Inherited from

QPathParameters._modifiedFields


_rowState

protected _rowState: QRowState

Defined in: entity/src/QEntity.ts:50

Current state of the entity row (created, modified, deleted, etc).

Inherited from

QPathParameters._rowState


_runHooks

protected _runHooks: boolean = true

Defined in: entity/src/QEntity.ts:37

Flag controlling whether lifecycle hooks should be executed.

Inherited from

QPathParameters._runHooks


_sealed

protected _sealed: boolean = false

Defined in: entity/src/QEntity.ts:71

Flag to mark an object as sealed.

Inherited from

QPathParameters._sealed


clientId

clientId: string

Defined in: oauth-server/src/entities/OAuthClientPathParameters.ts:11

OAuth client identifier from path.


Entity

readonly static Entity: "QEntity" = "QEntity"

Defined in: entity/src/QEntity.ts:28

Entity name identifier, used for metadata lookup.

Inherited from

QPathParameters.Entity

Accessors

canRunHooks

Get Signature

get protected canRunHooks(): boolean

Defined in: entity/src/QEntity.ts:145

Gets whether lifecycle hooks can be executed.

Returns

boolean

Inherited from

QPathParameters.canRunHooks


defaultValues

Get Signature

get protected defaultValues(): Record<string, any>

Defined in: entity/src/QEntity.ts:163

Returns

Record<string, any>

Inherited from

QPathParameters.defaultValues


definition

Get Signature

get definition(): QEntityDefinition

Defined in: entity/src/QEntity.ts:100

Gets the entity field definitions.

Returns

QEntityDefinition

Inherited from

QPathParameters.definition


entityName

Get Signature

get entityName(): string

Defined in: entity/src/QEntity.ts:88

Gets the entity type name.

Returns

string

Inherited from

QPathParameters.entityName


fields

Get Signature

get fields(): string[]

Defined in: entity/src/QEntity.ts:107

Gets the list of field names defined on this entity.

Returns

string[]

Inherited from

QPathParameters.fields


hooks

Get Signature

get protected hooks(): QEntityHook

Defined in: entity/src/QEntity.ts:138

Gets the registered lifecycle hooks.

Returns

QEntityHook

Inherited from

QPathParameters.hooks


isFillMethodActive

Get Signature

get protected isFillMethodActive(): boolean

Defined in: entity/src/QEntity.ts:126

Gets whether the fill method is currently active.

Returns

boolean

Inherited from

QPathParameters.isFillMethodActive


isInitialFill

Get Signature

get protected isInitialFill(): boolean

Defined in: http/src/router/endpoint/QEndpointParameters.ts:11

Gets whether entity is being initially filled.

Returns

boolean

Inherited from

QPathParameters.isInitialFill


isSealed

Get Signature

get isSealed(): boolean

Defined in: entity/src/QEntity.ts:76

Read-only flag to check if the object is sealed.

Returns

boolean

Inherited from

QPathParameters.isSealed


logger

Get Signature

get protected logger(): IQLogger

Defined in: entity/src/QEntity.ts:159

The logger instance for this entity.

Returns

IQLogger

Inherited from

QPathParameters.logger


rowState

Get Signature

get rowState(): QRowState

Defined in: http/src/router/endpoint/QEndpointParameters.ts:7

Gets the current row state of the entity.

Returns

QRowState

Inherited from

QPathParameters.rowState


selectableFields

Get Signature

get selectableFields(): string[]

Defined in: entity/src/QEntity.ts:114

Gets all fields marked as selectable in queries.

Returns

string[]

Inherited from

QPathParameters.selectableFields

Methods

clone()

clone(properties?): OAuthClientPathParameters

Defined in: entity/src/QEntity.ts:283

Creates a clone of the current entity.

Parameters

properties?

QEntityOptions<OAuthClientPathParameters>

A list of properties that you want to pass to the new instance

Returns

OAuthClientPathParameters

Inherited from

QPathParameters.clone


compare()

compare(other): boolean

Defined in: entity/src/QEntity.ts:362

Compares this entity with another entity for deep equality.

Parameters

other

QEntity

The other entity to compare with

Returns

boolean

True if entities are equal, false otherwise

Inherited from

QPathParameters.compare


disableHooks()

protected disableHooks(): void

Defined in: entity/src/QEntity.ts:455

Disables execution of lifecycle hooks.

Returns

void

Inherited from

QPathParameters.disableHooks


enableHooks()

protected enableHooks(): void

Defined in: entity/src/QEntity.ts:462

Enables execution of lifecycle hooks.

Returns

void

Inherited from

QPathParameters.enableHooks


fill()

fill(options?, initial?, fillOptions?): OAuthClientPathParameters

Defined in: entity/src/QEntity.ts:184

Method used to init the entity with data.

Parameters

options?

QEntityOptions<OAuthClientPathParameters>

A map of properties with values that can be filled in the current entity

initial?

boolean = false

Initial row fill

fillOptions?

QEntityFillOptions

Returns

OAuthClientPathParameters

Inherited from

QPathParameters.fill


freeze()

freeze(): void

Defined in: entity/src/QEntity.ts:301

Freezes the current entity to the current values and properties list. Prevents any further modifications to the entity.

Returns

void

Inherited from

QPathParameters.freeze


getFlaggedField()

getFlaggedField(flag): string[]

Defined in: entity/src/QEntity.ts:407

Gets all fields that have a specific flag.

Parameters

flag

string

Flag to check for

Returns

string[]

Array of field names with the flag

Inherited from

QPathParameters.getFlaggedField


getHooks()

protected getHooks(name): MethodDecoratorType<QEntity, any[], unknown>[]

Defined in: entity/src/QEntity.ts:448

Gets all registered hooks of a specific type.

Parameters

name

HookType

Type of hooks to retrieve

Returns

MethodDecoratorType<QEntity, any[], unknown>[]

Inherited from

QPathParameters.getHooks


isDeleted()

isDeleted(): boolean

Defined in: entity/src/QEntity.ts:274

Checks if the entity is marked as deleted.

Returns

boolean

Inherited from

QPathParameters.isDeleted


isFieldModified()

protected isFieldModified(field): boolean

Defined in: entity/src/QEntity.ts:422

Checks if a field has been modified since entity creation.

Parameters

field

string

Field name to check

Returns

boolean

Inherited from

QPathParameters.isFieldModified


isModified()

isModified(): boolean

Defined in: entity/src/QEntity.ts:253

Checks if the entity has been modified (created or updated).

Returns

boolean

Inherited from

QPathParameters.isModified


isNew()

isNew(): boolean

Defined in: entity/src/QEntity.ts:260

Checks if the entity is newly created.

Returns

boolean

Inherited from

QPathParameters.isNew


isUnmodified()

isUnmodified(): boolean

Defined in: entity/src/QEntity.ts:246

Checks if the entity is in an unmodified state.

Returns

boolean

Inherited from

QPathParameters.isUnmodified


isUpdated()

isUpdated(): boolean

Defined in: entity/src/QEntity.ts:267

Checks if the entity has been updated after creation.

Returns

boolean

Inherited from

QPathParameters.isUpdated


markDeleted()

markDeleted(): void

Defined in: entity/src/QEntity.ts:232

Marks the entity as deleted.

Returns

void

Inherited from

QPathParameters.markDeleted


markModified()

markModified(): void

Defined in: entity/src/QEntity.ts:239

Marks the entity as modified.

Returns

void

Inherited from

QPathParameters.markModified


runHooks()

protected runHooks(name): void

Defined in: entity/src/QEntity.ts:431

Executes all registered hooks of a specific type.

Parameters

name

HookType

Type of hooks to run

Returns

void

Inherited from

QPathParameters.runHooks


setInitialFill()

protected setInitialFill(): void

Defined in: entity/src/QEntity.ts:469

Marks the entity as being initially filled.

Returns

void

Inherited from

QPathParameters.setInitialFill


toJSON()

toJSON(): ObjectLiteral

Defined in: entity/src/QEntity.ts:312

Returns the data from the entity as a serializable object.

This method transforms the entity to a plain object suitable for JSON serialization, hiding internal properties and fields marked as hidden.

Returns

ObjectLiteral

Inherited from

QPathParameters.toJSON


toObject()

toObject<T>(): T

Defined in: entity/src/QEntity.ts:345

Return the data from the entity as an object.

Use this method when you want to extract the data from the entity. This is an alias for the toJSON method.

Type Parameters

T

T = ObjectLiteral

Returns

T

Inherited from

QPathParameters.toObject


toString()

toString(): string

Defined in: entity/src/QEntity.ts:352

Returns a string representation of the entity.

Returns

string

Inherited from

QPathParameters.toString


unsetInitialFill()

protected unsetInitialFill(): void

Defined in: entity/src/QEntity.ts:476

Marks the entity as no longer being initially filled.

Returns

void

Inherited from

QPathParameters.unsetInitialFill


validate()

validate(returnable?): Promise<QEntityValidationResults>

Defined in: entity/src/QEntity.ts:371

Validate the entity fields.

Parameters

returnable?

boolean

When true, return validation errors instead of throwing

Returns

Promise<QEntityValidationResults>

Inherited from

QPathParameters.validate